Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 884

Summary: lastb does not work as advertised
Product: [Retired] Red Hat Linux Reporter: rnapier
Component: util-linuxAssignee: Cristian Gafton <gafton>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 5.2CC: rnapier
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-03-26 02:39:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description rnapier 1999-01-20 00:58:14 UTC
login.c that is provided by util-linux does not use
/var/log/btmp. It also provides last and last.1 which are
consistent with this.

However, SysVinit also provides last, last.1 and lastb which
do expect to use /var/log/btmp. This is the version that is
actually found in /usr/bin/last.

This means that lastb is effectively not compatible with
login on Redhat as installed by default. The major issue is
that last.1 is effectively incorrect. Though it does
discribe the correct behavior of last, it describes
incorrect behavior for login.

I recommend that you remove last* from SysVinit. Ideally a
replacement for lastb would read /var/log/secure.

Comment 1 seva 1999-01-21 17:47:59 UTC
I asked about this half a year or so ago on the mailing list,
and would still like to see a solution.

Preferrably when there is a log of failed connections and lastb exists
and works...

Comment 2 Preston Brown 1999-03-22 20:20:59 UTC
Cristian, how are we going to resolve this for 6.0?

Comment 3 Jeff Johnson 1999-03-26 02:39:59 UTC
Should be fixed in util-linux-2.9o-6.